import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A green block. Has a life of 2, a little harder to get rid of.
 * 
 * @author Michael Berry
 * @version 1.0
 */
public class GreenBlock extends Block
{

    /**
     * Creates a new green block..
     */ 
    public GreenBlock()
    {
        super(2);
		setImage(green);
    }
    
    /**
     * Changes the image to red if it's been hit
     */
    public void act()
    {
        if(getLife()==1) setImage(red);
        super.act();
    }
}
