import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A blue block. Has a life of three.
 * 
 * @author Michael Berry
 * @version 1.0
 */
public class BlueBlock extends Block
{

    /**
     * Creates a new blue block.
     */ 
    public BlueBlock()
    {
        super(3);
		setImage(blue);
    }
    
    /**
     * Changes the colour to green then blue when hit
     */
    public void act()
    {
        if(getLife()==2) setImage(green);
        if(getLife()==1) setImage(red);
        super.act();
    }
}
